//
//  Timers.c
//  MakerBoard_5LED
//
//  Created by Roger on 2018-01-29.
//  Copyright © 2018 Roger. All rights reserved.
//


#include "Timers.h"
#include "Makerboard.h"

//Timer1 is milliSecond Timer...8MHz clock, /64 prescaler, CTC top == 125
void Timer1_init(void){

    OCR0A = 125;    //set TOP
    TCCR0A |= (1 << WGM01); //Set up CTC mode (OCR0A is top)
    TCCR0B|= (1 << CS00) | (1 << CS01); //Give a /64 prescaler
    TIFR |= (1 << OCF0A);
    TIMSK |= (1 << OCIE0A); //clear interrupt flag and enable interrupt

}





//This should be a 1 millisecond ISR.  Will initially use this just to verify that...Not going to initialize millisecond timer for now.
ISR(TIMER0_COMPA_vect){
    static uint8_t keeper = 0;
    keeper ++;
    if (keeper & 0x80){ //if MSB of keeper is high
        LED1ON
    }else{
        PORTB = 0;
    }

}


void Timer0_init(void){
    TCCR0A |= (1 << COM0A1) | (1 << COM0B0) | (1 << COM0B1) | (1 << WGM00); //set up COM0A for non-inverting PWM, COM0B for Inverting PWM, and Set WGM00 for Phase-corrected PWM with 0xFF as top
    TCCR0B |= (1 << CS01); //set up a /8 prescaler
}
